

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>

#include <Idx/Idx.h>


int main (int argc, char * * argv) {

	Idx_DB db ;
	Idx_Index idx ;

	db = Idx_DBCreate("/tmp/idxdb.idx",getpid(),30,15,20,0) ;
	if(db!=NULL) {
		printf("Creating db\n") ;
		Idx_DBStat(db) ;
		idx = Idx_IndexAdd(db,"Alta-Mira") ;
		Idx_IndexStat(idx) ;
		idx = Idx_IndexAdd(db,"Abranengurinn") ;
		Idx_FieldAdd(idx,"Date","28/11/1977") ;
		Idx_FieldAdd(idx,"Album","Bjork") ;
		Idx_FieldAdd(idx,"Author","Bjork") ;
		Idx_IndexSet(db,idx) ;
		Idx_DBStat(db) ;
		Idx_DBClose(db) ;
	}
	else {
		printf("Found db\n") ;
		db = Idx_DBOpen("/tmp/idxdb.idx",0) ;
		Idx_DBStat(db) ;
		idx = Idx_IndexGet(db,"Abranengurinn") ;
		Idx_IndexStat(idx) ;
		Idx_IndexPrint(idx) ;
		Idx_FieldDel(idx,"Album") ;
		Idx_IndexPrint(idx) ;
		Idx_IndexDel(db,"Alta-Mira") ;
		Idx_IndexSet(db,idx) ;
	}

	return 0 ;
}
